package model

import (
	"github.com/shopspring/decimal"
)

type MaintenanceFee struct {
	CreatedAndModified `xorm:"extends"`
	Deleted            `xorm:"extends"`
	Id                 string          `xorm:"varchar(120) pk not null" json:"id"`
	ParkId             string          `xorm:"varchar(120) not null" json:"parkId"`
	Name               string          `xorm:"varchar(50) not null" json:"name"`
	Fee                decimal.Decimal `xorm:"numeric(8,2) not null" json:"fee"`
	Memo               *string         `xorm:"text" json:"memo"`
	Enabled            bool            `xorm:"bool not null" json:"enabled"`
}

func (MaintenanceFee) TableName() string {
	return "maintenance_fee"
}
